version: "3.5"

services:   
  agent:
    hostname: agent
    #image: registry.edoc2.com:5000/edoc2v5/collect-agent:udc-prod-v6.0.0.0
    image: registry.edoc2.com:5000/edoc2v5/collect-agent:udc-prod-v6.0.0.0
    volumes:
      - /home/edoc2/collect:/app/collect
    environment:
      - UDCURL=http://udcmgt
      - CollectKey=
      - DOTNET_USE_POLLING_FILE_WATCHER=true
    labels:
      "type": "2"
    networks:
      - edoc2
    deploy:
      placement:
        constraints:
          - node.labels.nodeudc == true
      replicas: 1
      restart_policy:
        condition: any
    logging:
      driver: "json-file"
      options:
        max-size: "2000k"
        max-file: "10"
 # javaagent:
 #   hostname: javaagent
 #   image: registry.edoc2.com:5000/edoc2v5/java-agent:udc-prod-v6.0.0.0
 #   volumes:
 #     - /home/edoc2/javacollect:/app/collect
 #   environment:
 #     - UDCURL=http://udcmgt
 #     - CollectKey=
 #   labels:
 #     "type": "2"
 #   networks:
 #     - edoc2
 #   deploy:
 #     placement:
 #       constraints:
 #         - node.labels.nodeudc == true
 #     replicas: 1
 #     restart_policy:
 #       condition: any
 #   logging:
 #     driver: "json-file"
 #     options:
 #       max-size: "2000k"
 #       max-file: "10"
#   dbmanager:
#     hostname: dbmanager
#     image: registry.edoc2.com:5000/edoc2v5/dbmanager:udc-prod-v6.0.0.0
#     environment:
#       - DatabaseServerName=dbmanagermysql
#       - DatabaseServerPort=3306
#       - DatabaseName=dms
#       - DatabaseUserName=repl
#       - DatabasePassword=Xjb0^DDy
# #    ports:
# #      - 8088:80
#     labels:
#       "type": "2"
#     depends_on: 
#       - dbmanagermysql
#     deploy:
#       placement:
#         constraints:
#           - node.labels.nodeudc == true
#       replicas: 1
#       restart_policy:
#         condition: on-failure
#     networks:
#       - edoc2
#   dbmanagermysql:
#     hostname: dbmanagermysql
#     image: registry.edoc2.com:5000/edoc2v5/mysql:udc-prod-v6.0.0.0
# #    ports:
# #      - "30112:3306"
#     volumes:
#       - /home/edoc2/macrowing/edoc2v5/data/dbmanager-mysql:/var/lib/mysql
#       - /home/edoc2/macrowing/edoc2v5/data/dbmanager-dbbackup:/dbbackup
#     labels:
#       "type": "2"
#     networks:
#       - edoc2
#     environment:
#       - DBBACKUP=true
#       - TASKS=10 0 * * *
#       - DAYS=15
#       - MODE=standalone
#     deploy:
#       placement:
#         constraints:
#           - node.labels.nodeudc == true
#       replicas: 1
#       restart_policy:
#         condition: on-failure
networks:
  edoc2:
    external: true
    name: macrowing-udc-dev
